Bug 1156483 - [rfe] use dnf instead of yum
Summary: [rfe] use dnf instead of yum
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-meh
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Kolman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1156491
TreeView+ depends on / blocked
 
Reported: 2014-10-24 14:43 UTC by Rahul Sundaram
Modified: 2015-11-24 12:47 UTC (History)
2 users (show)

Fixed In Version: anaconda-22.13-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-24 12:47:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Rahul Sundaram 2014-10-24 14:43:05 UTC
Description of problem:

Fedora 22 is planning to switch over to dnf from yum as per

https://fedoraproject.org/wiki/Changes/ReplaceYumWithDNF

python-meh should switch over to using dnf instead of yum in rawhide

Comment 1 Chris Lumens 2014-10-24 14:59:01 UTC
Please don't assign this to me.  I don't maintain python-meh.  That's why I reassigned it in the first place.

Comment 2 Rahul Sundaram 2014-10-24 15:01:12 UTC
Sorry, that was a collision with another change.  Not intentional.

Comment 3 Martin Kolman 2014-10-24 15:17:31 UTC
Well we use a f21-branch for the F21 beta & the upcoming final, so I don't see anything blocking the switch on master. Also, the sooner we do that, the more time we will have to fix the issues that will inevitable show up.

Comment 4 Vratislav Podzimek 2014-10-27 06:46:03 UTC
I think the right fix here is to remove 'yum' from Requires: because python-meh no longer seems to require it.

Comment 5 Martin Kolman 2014-12-09 11:42:44 UTC
DNF has now been switched to be the default in on the Anaconda master branch.

Comment 6 Martin Kolman 2015-11-24 12:47:49 UTC
Fixed long ago.


Note You need to log in before you can comment on or make changes to this bug.